/****************************************************************************
 *
 *             MandelVroom Pre-initialized Menu structures
 *
 *                         Kevin L. Clague
 *
 *                        Copyright (C) 1987
 *
 **************************************************************************/
#include "mand.h"

struct IntuiText SaveSubsIntui[] =
  {
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "MAND",
    NULL
    },
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "ILBM",
    NULL
    }
  };
struct MenuItem SaveSubs[] =
  {
    {
    (struct MenuItem *) &SaveSubs[1],
    24,
    14,
    40,
    12,
    ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    NULL,
    (APTR) &SaveSubsIntui[0],
    NULL,
    '\0',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) NULL,
    24,
    26,
    40,
    12,
    ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    NULL,
    (APTR) &SaveSubsIntui[1],
    NULL,
    '\0',
    NULL,
    NULL
    }
  };
struct IntuiText ProjectItemsIntui[] =
  {
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Load",
    NULL
    },
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Save",
    NULL
    },
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Generate",
    NULL
    },
    {
    0,
    1,
    0,
    2,
    2,
    NULL,
    (UBYTE *) "NewScreen",
    NULL
    },
    {
    0,
    1,
    0,
    2,
    2,
    NULL,
    (UBYTE *) "Quit",
    NULL
    }
  };
struct MenuItem ProjectItems[] =
  {
    {
    (struct MenuItem *) &ProjectItems[1],
    0,
    0,
    106,
    14,
    CHECKED|ITEMTEXT|COMMSEQ|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &ProjectItemsIntui[0],
    NULL,
    'l',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) &ProjectItems[2],
    0,
    14,
    106,
    14,
    ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &ProjectItemsIntui[1],
    NULL,
    '\0',
    (struct MenuItem *) &SaveSubs[0],
    NULL
    },
    {
    (struct MenuItem *) &ProjectItems[3],
    0,
    28,
    106,
    14,
    ITEMTEXT|COMMSEQ|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &ProjectItemsIntui[2],
    NULL,
    'g',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) &ProjectItems[4],
    0,
    42,
    106,
    14,
    ITEMTEXT|COMMSEQ|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &ProjectItemsIntui[3],
    NULL,
    'n',
    NULL,
    NULL
    },
    {
    NULL,
    0,
    56,
    106,
    14,
    ITEMTEXT|COMMSEQ|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &ProjectItemsIntui[4],
    NULL,
    'q',
    NULL,
    NULL
    }
  };
struct IntuiText ZoomInSubsIntui[] =
  {
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Open",
    NULL
    },
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Close",
    NULL
    }
  };
struct MenuItem ZoomInSubs[] =
  {
    {
    (struct MenuItem *) &ZoomInSubs[1],
    24,
    14,
    48,
    12,
    ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &ZoomInSubsIntui[0],
    NULL,
    '\0',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) NULL,
    24,
    26,
    48,
    12,
    ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &ZoomInSubsIntui[1],
    NULL,
    '\0',
    NULL,
    NULL
    }
  };
struct IntuiText GenerateSubsIntui[] =
  {
    {
    0,
    1,
    0,
    16,
    2,
    NULL,
    (UBYTE *) "Integer",
    NULL
    },
    {
    0,
    1,
    0,
    16,
    2,
    NULL,
    (UBYTE *) "FFP",
    NULL
    }
  };
struct MenuItem GenerateSubs[] =
  {
    {
    (struct MenuItem *) &GenerateSubs[1],
    24,
    14,
    100,
    12,
    CHECKIT|CHECKED|COMMSEQ|ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0x0003-0x0001,
    (APTR) &GenerateSubsIntui[0],
    NULL,
    'i',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) NULL,
    24,
    26,
    100,
    12,
    CHECKIT|COMMSEQ|ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0x0003-0x0002,
    (APTR) &GenerateSubsIntui[1],
    NULL,
    'f',
    NULL,
    NULL
    }
  };
struct IntuiText ViewModeSubsIntui[] =
  {
    {
    0,
    1,
    0,
    16,
    2,
    NULL,
    (UBYTE *) "HIRES",
    NULL
    },
    {
    0,
    1,
    0,
    16,
    2,
    NULL,
    (UBYTE *) "INTERLACE",
    NULL
    },
    {
    0,
    1,
    0,
    16,
    2,
    NULL,
    (UBYTE *) "HALFBRITE",
    NULL
    }
  };
struct MenuItem ViewModeSubs[] =
  {
    {
    (struct MenuItem *) &ViewModeSubs[1],
    24,
    14,
    88,
    12,
    CHECKIT|ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &ViewModeSubsIntui[0],
    NULL,
    '\0x1a',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) &ViewModeSubs[2],
    24,
    26,
    88,
    12,
    CHECKIT|ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &ViewModeSubsIntui[1],
    NULL,
    '\0x1a',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) NULL,
    24,
    38,
    88,
    12,
    CHECKIT|ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &ViewModeSubsIntui[2],
    NULL,
    '\0x1a',
    NULL,
    NULL
    }
  };
struct IntuiText DepthSubsIntui[] =
  {
    {
    0,
    1,
    0,
    16,
    2,
    NULL,
    (UBYTE *) "1-BitPlane",
    NULL
    },
    {
    0,
    1,
    0,
    16,
    2,
    NULL,
    (UBYTE *) "2-BitPlanes",
    NULL
    },
    {
    0,
    1,
    0,
    16,
    2,
    NULL,
    (UBYTE *) "3-BitPlanes",
    NULL
    },
    {
    0,
    1,
    0,
    16,
    2,
    NULL,
    (UBYTE *) "4-BitPlanes",
    NULL
    },
    {
    0,
    1,
    0,
    16,
    2,
    NULL,
    (UBYTE *) "5-BitPlanes",
    NULL
    },
    {
    0,
    1,
    0,
    16,
    2,
    NULL,
    (UBYTE *) "6-BitPlanes",
    NULL
    }
  };
struct MenuItem DepthSubs[] =
  {
    {
    (struct MenuItem *) &DepthSubs[1],
    24,
    14,
    136,
    12,
    CHECKIT|ITEMTEXT|COMMSEQ|ITEMENABLED|HIGHBOX|0,
    0x003F-0x0001,
    (APTR) &DepthSubsIntui[0],
    NULL,
    '1',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) &DepthSubs[2],
    24,
    26,
    136,
    12,
    CHECKIT|ITEMTEXT|COMMSEQ|ITEMENABLED|HIGHBOX|0,
    0x003F-0x0002,
    (APTR) &DepthSubsIntui[1],
    NULL,
    '2',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) &DepthSubs[3],
    24,
    38,
    136,
    12,
    CHECKIT|ITEMTEXT|COMMSEQ|ITEMENABLED|HIGHBOX|0,
    0x003F-0x0004,
    (APTR) &DepthSubsIntui[2],
    NULL,
    '3',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) &DepthSubs[4],
    24,
    50,
    136,
    12,
    CHECKIT|ITEMTEXT|COMMSEQ|ITEMENABLED|HIGHBOX|0,
    0x003F-0x0008,
    (APTR) &DepthSubsIntui[3],
    NULL,
    '4',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) &DepthSubs[5],
    24,
    62,
    136,
    12,
    CHECKIT|CHECKED|ITEMTEXT|COMMSEQ|ITEMENABLED|HIGHBOX|0,
    0x003F-0x0010,
    (APTR) &DepthSubsIntui[4],
    NULL,
    '5',
    NULL,
    NULL
    },
    {
    NULL,
    24,
    74,
    136,
    12,
    CHECKIT|ITEMTEXT|COMMSEQ|ITEMENABLED|HIGHBOX|0,
    0x003F-0x0020,
    (APTR) &DepthSubsIntui[5],
    NULL,
    '6',
    NULL,
    NULL
    }
  };
struct IntuiText CountSubsIntui[] =
  {
    {
    0,
    1,
    0,
    16,
    2,
    NULL,
    (UBYTE *) "32",
    NULL
    },
    {
    0,
    1,
    0,
    16,
    2,
    NULL,
    (UBYTE *) "64",
    NULL
    },
    {
    0,
    1,
    0,
    16,
    2,
    NULL,
    (UBYTE *) "128",
    NULL
    },
    {
    0,
    1,
    0,
    16,
    2,
    NULL,
    (UBYTE *) "256",
    NULL
    },
    {
    0,
    1,
    0,
    16,
    2,
    NULL,
    (UBYTE *) "512",
    NULL
    },
    {
    0,
    1,
    0,
    16,
    2,
    NULL,
    (UBYTE *) "1023",
    NULL
    }
  };
struct MenuItem CountSubs[] =
  {
    {
    (struct MenuItem *) &CountSubs[1],
    24,
    14,
    48,
    12,
    CHECKIT | ITEMTEXT | ITEMENABLED | HIGHBOX,
    0x003F-0x0001,
    (APTR) &CountSubsIntui[0],
    NULL,
    '1',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) &CountSubs[2],
    24,
    26,
    48,
    12,
    CHECKIT | ITEMTEXT | ITEMENABLED | HIGHBOX,
    0x003F-0x0002,
    (APTR) &CountSubsIntui[1],
    NULL,
    '2',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) &CountSubs[3],
    24,
    38,
    48,
    12,
    CHECKIT | ITEMTEXT | ITEMENABLED | HIGHBOX,
    0x003F-0x0004,
    (APTR) &CountSubsIntui[2],
    NULL,
    '3',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) &CountSubs[4],
    24,
    50,
    48,
    12,
    CHECKIT | ITEMTEXT | ITEMENABLED | HIGHBOX,
    0x003F-0x0008,
    (APTR) &CountSubsIntui[3],
    NULL,
    '4',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) &CountSubs[5],
    24,
    62,
    48,
    12,
    CHECKIT | ITEMTEXT | ITEMENABLED | HIGHBOX,
    0x003F-0x0010,
    (APTR) &CountSubsIntui[4],
    NULL,
    '5',
    NULL,
    NULL
    },
    {
    NULL,
    24,
    74,
    48,
    12,
    CHECKIT | CHECKED | ITEMTEXT | ITEMENABLED | HIGHBOX,
    0x003F-0x0020,
    (APTR) &CountSubsIntui[5],
    NULL,
    '6',
    NULL,
    NULL
    }
  };
struct IntuiText EditItemsIntui[] =
  {
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Zoom",
    NULL
    },
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Colors",
    NULL
    },
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Contours",
    NULL
    },
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Generator",
    NULL
    },
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Max Iteration",
    NULL
    },
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "ViewMode",
    NULL
    },
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Depth",
    NULL
    },
  };

struct MenuItem EditItems[] =
  {
    {  /* Zoom */
    (struct MenuItem *) &EditItems[1],
    0,
    0,
    104,
    14,
    ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &EditItemsIntui[0],
    NULL,
    0,
    (struct MenuItem *) &ZoomInSubs,
    NULL
    },
    {  /* Colors */
    (struct MenuItem *) &EditItems[2],
    0,
    14,
    104,
    14,
    CHECKED|ITEMTEXT|COMMSEQ|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &EditItemsIntui[1],
    NULL,
    'c',
    NULL,
    NULL
    },
    {  /* Contours */
    (struct MenuItem *) &EditItems[3],
    0,
    28,
    104,
    14,
    ITEMTEXT|COMMSEQ|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &EditItemsIntui[2],
    NULL,
    'k',
    NULL,
    NULL
    },
    {  /* Generator */
    (struct MenuItem *) &EditItems[4],
    0,
    42,
    104,
    14,
    ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &EditItemsIntui[3],
    NULL,
    '\0',
    (struct MenuItem *) &GenerateSubs,
    NULL
    },
    { /* MaxI */
    (struct MenuItem *) &EditItems[5],
    0,
    56,
    104,
    14,
    ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &EditItemsIntui[4],
    NULL,
    '\0x0',
    (struct MenuItem *) &CountSubs,
    NULL
    },
    {  /* ViewModes */
    (struct MenuItem *) &EditItems[6],
    0,
    70,
    104,
    14,
    ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &EditItemsIntui[5],
    NULL,
    '\0x0',
    (struct MenuItem *) &ViewModeSubs,
    NULL
    },
    { /* Depth */
    NULL,
    0,
    84,
    104,
    14,
    ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &EditItemsIntui[6],
    NULL,
    '\0x0',
    (struct MenuItem *) &DepthSubs,
    NULL
    },
  };

struct IntuiText ToolItemsIntui[] =
  {
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Big Brot",
    NULL
    },
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Hey Baby",
    NULL
    },
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Dragon Family",
    NULL
    },
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Spine",
    NULL
    },
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Vertibrae",
    NULL
    },
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Beauty",
    NULL
    },
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Sea Horse",
    NULL
    },
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Horse Chain",
    NULL
    },
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Chain Link",
    NULL
    },
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Pretty Baby",
    NULL
    },
  };
struct MenuItem ToolItems[] =
  {
    {
    (struct MenuItem *) &ToolItems[1],
    0,
    0,
    130,
    14,
    ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &ToolItemsIntui[0],
    NULL,
    'p',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) &ToolItems[2],
    0,
    14,
    130,
    14,
    ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &ToolItemsIntui[1],
    NULL,
    'p',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) &ToolItems[3],
    0,
    28,
    130,
    14,
    ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &ToolItemsIntui[2],
    NULL,
    'p',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) &ToolItems[4],
    0,
    42,
    130,
    14,
    ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &ToolItemsIntui[3],
    NULL,
    'p',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) &ToolItems[5],
    0,
    56,
    130,
    14,
    ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &ToolItemsIntui[4],
    NULL,
    'p',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) &ToolItems[6],
    0,
    70,
    130,
    14,
    ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &ToolItemsIntui[5],
    NULL,
    'p',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) &ToolItems[7],
    0,
    84,
    130,
    14,
    ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &ToolItemsIntui[6],
    NULL,
    'p',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) &ToolItems[8],
    0,
    98,
    130,
    14,
    ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &ToolItemsIntui[7],
    NULL,
    'p',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) &ToolItems[9],
    0,
    112,
    130,
    14,
    ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &ToolItemsIntui[8],
    NULL,
    'p',
    NULL,
    NULL
    },
    {
    (struct MenuItem *) NULL,
    0,
    126,
    130,
    14,
    ITEMTEXT|ITEMENABLED|HIGHBOX|0,
    0,
    (APTR) &ToolItemsIntui[9],
    NULL,
    'p',
    NULL,
    NULL
    },
  };

struct Menu Menu[] =
  {
    {
    (struct Menu *) &Menu[1],
    4,
    0,
    56,
    8,
    1,
    (BYTE *) "Project",
    (struct MenuItem *) &ProjectItems,
    },
    {
    (struct Menu *) &Menu[2],
    68,
    0,
    32,
    8,
    1,
    (BYTE *) "Edit",
    (struct MenuItem *) &EditItems,
    },
    {
    NULL,
    108,
    0,
    64,
    8,
    1,
    (BYTE *) "Presets",
    (struct MenuItem *) &ToolItems,
    }
  };
struct IntuiText GenProjIntui[] =
  {
    {
    0,
    1,
    0,
    4,
    2,
    NULL,
    (UBYTE *) "Stop",
    NULL
    }
  };
struct MenuItem GenProjItems[] =
  {
    {
    (struct MenuItem *) NULL,
    0,
    0,
    60,
    12,
    ITEMTEXT | COMMSEQ | ITEMENABLED | HIGHBOX,
    0,
    (APTR) &GenProjIntui[0],
    NULL,
    's',
    NULL,
    NULL
    }
  };

struct Menu GenMenu[] =
  {
    {
    (struct Menu *) NULL,
    4,
    0,
    56,
    8,
    1,
    (BYTE *) "Project",
    (struct MenuItem *) &GenProjItems,
    },
  };
